View Issue Details

IDProjectCategoryView StatusLast Update
0013699mantisbtcustomizationpublic2014-12-08 00:33
ReporterM.C.S.Assigned Tovboctor 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.2.8 
Target Version1.3.0-beta.1Fixed in Version1.3.0-beta.1 
Summary0013699: Changing columns for single projects
Description

NB: I would have repoened 0009439 but it was not possible for me (access denied).

There is still no button like "set for current project" (Mantis 1.2.8). The "Manage Columns" view just allows setting global column definitions, but not for a single project. This seems to be possible only when using the "Configuration report" and there passing in the changed values :-/

Steps To Reproduce
  • Login as admin
  • Change current project to any specific project
  • Click "Manage"
  • Click "Manage configuration"
  • Click "Manage Columns"
  • Change columns for any area
  • Look for an "Update columns for current project" - which for me does not exist ;-)
Tagspatch

Activities

lukasz

lukasz

2012-09-20 08:22

reporter  

issue_13699_fix.patch (2,026 bytes)
From 9c99f806d1f39843f3f152ee94798e7e9065f253 Mon Sep 17 00:00:00 2001
From: lukaszkujawa <lukasz.f24@gmail.com>
Date: Thu, 20 Sep 2012 13:17:15 +0100
Subject: [PATCH] issue #13699

---
 manage_columns_inc.php |   12 ++++++++----
 1 files changed, 8 insertions(+), 4 deletions(-)
 mode change 100644 => 100755 manage_columns_inc.php

diff --git a/manage_columns_inc.php b/manage_columns_inc.php
old mode 100644
new mode 100755
index d79b556..9640b5b
--- a/manage_columns_inc.php
+++ b/manage_columns_inc.php
@@ -121,13 +121,17 @@ $t_excel = implode( ', ', $t_columns );
 					<span class="submit-button"><input <?php echo helper_get_tab_index() ?> type="submit" class="button" name="update_columns_as_my_default" value="<?php echo lang_get( 'update_columns_as_my_default' ) ?>" /></span><?php
 				} else { ?>
 					<span class="submit-button"><input <?php echo helper_get_tab_index() ?> type="submit" class="button" name="update_columns_for_current_project" value="<?php echo lang_get( 'update_columns_for_current_project' ) ?>" /></span><?php
-
 			}
 		}
 
-		if ( $t_manage_page && current_user_is_administrator() ) { ?>
-			<span class="submit-button"><input <?php echo helper_get_tab_index() ?> type="submit" class="button" name="update_columns_as_global_default" value="<?php echo lang_get( 'update_columns_as_global_default' ) ?>" /></span><?php
-		} ?>
+		if ( $t_manage_page && current_user_is_administrator() ) { 
+			if ( $t_project_id == ALL_PROJECTS ) { ?>
+				<span class="submit-button"><input <?php echo helper_get_tab_index() ?> type="submit" class="button" name="update_columns_as_global_default" value="<?php echo lang_get( 'update_columns_as_global_default' ) ?>" /></span>
+			<?php }else{ ?>
+				<span class="submit-button"><input <?php echo helper_get_tab_index() ?> type="submit" class="button" name="update_columns_for_current_project_default" value="<?php echo lang_get( 'update_columns_for_current_project' ) ?>" /></span>
+			<?php }
+			
+			 } ?>
 		</fieldset>
 	</form>
 </div>
-- 
1.7.4.1

issue_13699_fix.patch (2,026 bytes)
lukasz

lukasz

2012-09-20 08:26

reporter   ~0032887

Last edited: 2012-09-20 11:14

View 2 revisions

Issue fix attached. I made it work in the same way as on the account page.

dhx

dhx

2012-09-20 09:11

reporter   ~0032889

Thanks Lukasz, looks good. Will try to have this committed shortly (please nag me if I forget).

atrol

atrol

2013-04-27 18:25

developer   ~0036697

Removed assignment. dhx will not contribute to this issue in near future.

vboctor

vboctor

2014-06-27 11:37

manager   ~0040854

Pull request with slightly different patch at:
https://github.com/mantisbt/mantisbt/pull/214

Related Changesets

MantisBT: master a9f5b923

2014-10-31 22:40:40

vboctor

Details Diff
Changing columns for single projects

- Simply manage columns access checks/form paramters
- Set user id to NO USER when in Manage - Manage Columns and Logged in User when in My Account - Manage Columns.
- Allow user to set columns for all / current project based on active project.

Fixes 0013699
mod - manage_columns_inc.php Diff File
mod - manage_config_columns_set.php Diff File

Issue History

Date Modified Username Field Change
2011-12-28 11:05 M.C.S. New Issue
2011-12-28 11:55 atrol Status new => confirmed
2012-09-20 08:22 lukasz File Added: issue_13699_fix.patch
2012-09-20 08:26 lukasz Note Added: 0032887
2012-09-20 09:10 dhx Tag Attached: patch
2012-09-20 09:11 dhx Note Added: 0032889
2012-09-20 09:11 dhx Assigned To => dhx
2012-09-20 09:11 dhx Status confirmed => assigned
2012-09-20 09:12 dhx Target Version => 1.2.12
2012-09-20 11:14 lukasz Note Edited: 0032887 View Revisions
2012-11-10 19:04 dregad Target Version 1.2.12 => 1.2.13
2013-01-22 09:48 dregad Target Version 1.2.13 => 1.2.14
2013-01-29 09:28 dregad Target Version 1.2.14 => 1.2.15
2013-04-12 09:57 dregad Target Version 1.2.15 => 1.2.16
2013-04-27 18:25 atrol Note Added: 0036697
2013-04-27 18:25 atrol Assigned To dhx =>
2013-04-27 18:25 atrol Status assigned => confirmed
2014-01-23 17:57 atrol Target Version 1.2.16 =>
2014-06-27 02:34 vboctor Assigned To => vboctor
2014-06-27 02:34 vboctor Status confirmed => assigned
2014-06-27 11:37 vboctor Note Added: 0040854
2014-06-27 11:38 vboctor Category administration => customization
2014-11-05 11:23 vboctor Changeset attached => MantisBT master a9f5b923
2014-11-05 11:23 vboctor Status assigned => resolved
2014-11-05 11:23 vboctor Resolution open => fixed
2014-11-05 11:23 vboctor Fixed in Version => 1.3.0-beta.1
2014-11-05 11:38 vboctor Target Version => 1.3.0-beta.1
2014-12-08 00:33 vboctor Status resolved => closed